org.bouncycastle.openpgp.examples

## Class KeyBasedFileProcessor

- java.lang.Object
- - org.bouncycastle.openpgp.examples.KeyBasedFileProcessor

    public class KeyBasedFileProcessor
    extends java.lang.Object

A simple utility class that encrypts/decrypts public key based encryption files.

To encrypt a file: KeyBasedFileProcessor -e [-a|-ai] fileName publicKeyFile.
If -a is specified the output file will be "ascii-armored". If -i is specified the output file will be have integrity checking added.

To decrypt: KeyBasedFileProcessor -d fileName secretKeyFile passPhrase.

Note 1: this example will silently overwrite files, nor does it pay any attention to the specification of "_CONSOLE" in the filename. It also expects that a single pass phrase will have been used.

Note 2: if an empty file name has been specified in the literal data object contained in the encrypted packet a file with the name filename.out will be generated in the current working directory.

### Constructor Summary

Constructors
Constructor and Description
`KeyBasedFileProcessor()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyBasedFileProcessor

    public KeyBasedFileProcessor()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`